using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class test_application1 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
		int c=0;
		if (Application["compteur"] != null)
			c = (int)Application["compteur"];

		c++;

		Application.Lock();
		Application["compteur"] = c;
		Application.UnLock();

		Label1.Text = "Page visitée " + c + " fois";
    }
}
